fi
}
-PREFIX=$1
+ztest=false
+icu=false
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+ case $1 in
+ --ztest)
+ ztest=true
+ ;;
+ --icu)
+ icu=true
+ ;;
+ -*)
+ echo "Bad option $1"
+ exit 1
+ ;;
+ *)
+ PREFIX=$1
+ ;;
+ esac
+ shift
+done
+
if test "x${PREFIX}" = "x"; then
echo Missing prefix for run_pazpar2.sh
exit 1
echo "curl not found. $PREFIX can not be tested"
exit 1
fi
+
+if test "$ztest" = "true" ; then
+ oIFS=$IFS
+ IFS=:
+ F=''
+ for p in $PATH; do
+ if test -x $p/yaz-ztest -a -x $p/yaz-client; then
+ VERSION=`$p/yaz-client -V|awk '{print $3;}'|awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
+ if test $VERSION -ge 4002052; then
+ F=$p/yaz-ztest
+ break
+ fi
+ fi
+ done
+ IFS=$oIFS
+ if test -z "$F"; then
+ echo "yaz-ztest not found"
+ exit 0
+ fi
+ rm -f ztest.pid
+ rm -f ${PREFIX}_ztest.log
+ $F -l ${PREFIX}_ztest.log -p ztest.pid -D tcp:localhost:9999
+ sleep 1
+ if test ! -f ztest.pid; then
+ echo "yaz-ztest could not be started"
+ exit 0
+ fi
+fi
+
GET='$curl --silent --output $OUT2 "$f"'
POST='$curl --silent --header "Content-Type: text/xml" --data-binary "@$postfile" --output $OUT2 "$f"'
-if [ -z "$SKIP_PAZPAR2" ] ; then
+if test "$icu" = "true"; then
+ if ../src/pazpar2 -V |grep icu:enabled >/dev/null; then
+ :
+ else
+ SKIP_PAZPAR2=true
+ fi
+fi
+
# remove log if starting pazpar2
+if [ -z "$SKIP_PAZPAR2" ] ; then
rm -f ${PREFIX}_pazpar2.log
fi
trap kill_pazpar2 HUP
else
echo "pazpar2 failed to start"
+ if test -f ztest.pid; then
+ kill `cat ztest.pid`
+ rm ztest.pid
+ fi
exit 1
fi
fi
done
echo "done"
fi
-
# Kill programs
+if test -f ztest.pid; then
+ kill `cat ztest.pid`
+ rm ztest.pid
+fi
if [ -z "$SKIP_PAZPAR2" ] ; then
kill_pazpar2
sleep 2
fi
-
exit $code
# Local Variables:
# srcdir might be set by make
srcdir=${srcdir:-"."}
-# look for yaz-ztest in PATH
-oIFS=$IFS
-IFS=:
-F=''
-for p in $PATH; do
- if test -x $p/yaz-ztest -a -x $p/yaz-client; then
- VERSION=`$p/yaz-client -V|awk '{print $3;}'|awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
- if test $VERSION -ge 4002042; then
- F=$p/yaz-ztest
- break
- fi
- fi
-done
-IFS=$oIFS
-
-if test -z "$F"; then
- echo "yaz-ztest not found that supports facets"
- exit 0
-fi
-
-rm -f ztest.pid
-$F -l ztest.log -p ztest.pid -D tcp:localhost:9999
-sleep 1
-if test ! -f ztest.pid; then
- echo "yaz-ztest could not be started"
- exit 0
-fi
-
-E=0
-if test -x ../src/pazpar2; then
- if ../src/pazpar2 -V |grep icu:enabled >/dev/null; then
- ${srcdir}/run_pazpar2.sh $TEST
- E=$?
- fi
-fi
-
-kill `cat ztest.pid`
-rm ztest.pid
-exit $E
+exec ${srcdir}/run_pazpar2.sh --ztest --icu $TEST
# Local Variables:
# mode:shell-script
#!/bin/sh
-#
+TEST=`basename $0 .sh`
# srcdir might be set by make
srcdir=${srcdir:-"."}
-TEST=`basename $0 .sh`
-
-# look for yaz-ztest in PATH
-oIFS=$IFS
-IFS=:
-F=''
-for p in $PATH; do
- if test -x $p/yaz-ztest -a -x $p/yaz-client; then
- VERSION=`$p/yaz-client -V|awk '{print $3;}'|awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
- if test $VERSION -ge 4000000; then
- F=$p/yaz-ztest
- break
- fi
- fi
-done
-IFS=$oIFS
-
-if test -z "$F"; then
- echo "yaz-ztest not found"
- exit 0
-fi
-
-rm -f ztest.pid
-rm -f ${TEST}_ztest.log
-$F -l ${TEST}_ztest.log -p ztest.pid -D tcp:localhost:9999
-sleep 1
-if test ! -f ztest.pid; then
- echo "yaz-ztest could not be started"
- exit 0
-fi
-
-E=0
-if test -x ../src/pazpar2; then
- if ../src/pazpar2 -V |grep icu:enabled >/dev/null; then
- ${srcdir}/run_pazpar2.sh $TEST
- E=$?
- fi
-fi
-
-kill `cat ztest.pid`
-rm ztest.pid
-exit $E
+exec ${srcdir}/run_pazpar2.sh --ztest --icu $TEST
# Local Variables:
# mode:shell-script
#!/bin/sh
-#
TEST=`basename $0 .sh`
# srcdir might be set by make
srcdir=${srcdir:-"."}
-if test -x ../src/pazpar2; then
- if ../src/pazpar2 -V |grep icu:enabled >/dev/null; then
- exec ${srcdir}/run_pazpar2.sh $TEST
- fi
-fi
-exit 0
+exec ${srcdir}/run_pazpar2.sh --icu $TEST
+
# Local Variables:
# mode:shell-script
# sh-indentation: 2
#!/bin/sh
-#
TEST=`basename $0 .sh`
# srcdir might be set by make
srcdir=${srcdir:-"."}
-if test -x ../src/pazpar2; then
- if ../src/pazpar2 -V |grep icu:enabled >/dev/null; then
- exec ${srcdir}/run_pazpar2.sh $TEST
- fi
-fi
+exec ${srcdir}/run_pazpar2.sh --icu $TEST
# Local Variables:
# mode:shell-script
srcdir=${srcdir:-"."}
#TODO set up solr target. For now use donut
-#F=../solr/client.sh
-#
-#rm -f solr.pid
-#$F -l solr.log -p ztest.pid -D @:9999
-#sleep 1
-#if test ! -f ztest.pid; then
-# echo "yaz-ztest could not be started"
-# exit 0
-#fi
${srcdir}/run_pazpar2.sh $TEST
E=$?
mv test_preferred.log test_preferred.res
fi
-#kill `cat ztest.pid`
-#rm ztest.pid
exit $E
# Local Variables:
#!/bin/sh
+#
+TEST=`basename $0 .sh`
# srcdir might be set by make
srcdir=${srcdir:-"."}
-TEST=`basename $0 .sh`
-
-#TODO set up solr target. For now use donut
-#F=../solr/client.sh
-#
-#rm -f solr.pid
-#$F -l solr.log -p ztest.pid -D @:9999
-#sleep 1
-#if test ! -f ztest.pid; then
-# echo "yaz-ztest could not be started"
-# exit 0
-#fi
-
-E=0
-if test -x ../src/pazpar2; then
- if ../src/pazpar2 -V |grep icu:enabled >/dev/null; then
- ${srcdir}/run_pazpar2.sh $TEST
- E=$?
- fi
-fi
-exit $E
+exec ${srcdir}/run_pazpar2.sh --icu $TEST
# Local Variables:
# mode:shell-script
#!/bin/sh
+#
+TEST=`basename $0 .sh`
# srcdir might be set by make
srcdir=${srcdir:-"."}
-#TODO set up solr target. For now use donut
-#F=../solr/client.sh
-#
-#rm -f solr.pid
-#$F -l solr.log -p ztest.pid -D @:9999
-#sleep 1
-#if test ! -f ztest.pid; then
-# echo "yaz-ztest could not be started"
-# exit 0
-#fi
-
-${srcdir}/run_pazpar2.sh test_solr_spell
-E=$?
-
-#kill `cat ztest.pid`
-#rm ztest.pid
-exit $E
+exec ${srcdir}/run_pazpar2.sh $TEST
# Local Variables:
# mode:shell-script
#!/bin/sh
+TEST=`basename $0 .sh`
# srcdir might be set by make
srcdir=${srcdir:-"."}
-TEST=`basename $0 .sh`
-
-# Using test solr target opencontent-solr
-E=0
-if test -x ../src/pazpar2; then
- if ../src/pazpar2 -V |grep icu:enabled >/dev/null; then
- ${srcdir}/run_pazpar2.sh $TEST
- E=$?
- fi
-fi
-
-#kill `cat ztest.pid`
-#rm ztest.pid
-exit $E
+exec ${srcdir}/run_pazpar2.sh --icu $TEST
# Local Variables:
# mode:shell-script
#!/bin/sh
-#
+TEST=`basename $0 .sh`
# srcdir might be set by make
srcdir=${srcdir:-"."}
-TEST=`basename $0 .sh`
-
-# look for yaz-ztest in PATH
-oIFS=$IFS
-IFS=:
-F=''
-for p in $PATH; do
- if test -x $p/yaz-ztest -a -x $p/yaz-client; then
- VERSION=`$p/yaz-client -V|awk '{print $3;}'|awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
- if test $VERSION -ge 4000000; then
- F=$p/yaz-ztest
- break
- fi
- fi
-done
-IFS=$oIFS
-
-if test -z "$F"; then
- echo "yaz-ztest not found"
- exit 0
-fi
-
-rm -f ztest.pid
-rm -f ${TEST}_ztest.log
-$F -l ${TEST}_ztest.log -p ztest.pid -D tcp:localhost:9999
-sleep 1
-if test ! -f ztest.pid; then
- echo "yaz-ztest could not be started"
- exit 0
-fi
-
-E=0
-if test -x ../src/pazpar2; then
- if ../src/pazpar2 -V |grep icu:enabled >/dev/null; then
- ${srcdir}/run_pazpar2.sh $TEST
- E=$?
- fi
-fi
-
-kill `cat ztest.pid`
-rm ztest.pid
-exit $E
+exec ${srcdir}/run_pazpar2.sh --icu --ztest $TEST
# Local Variables:
# mode:shell-script
#!/bin/sh
-#
+TEST=`basename $0 .sh`
# srcdir might be set by make
srcdir=${srcdir:-"."}
-TEST=`basename $0 .sh`
-
-# look for yaz-ztest in PATH
-oIFS=$IFS
-IFS=:
-F=''
-for p in $PATH; do
- if test -x $p/yaz-ztest -a -x $p/yaz-client; then
- VERSION=`$p/yaz-client -V|awk '{print $3;}'|awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
- if test $VERSION -ge 4002052; then
- F=$p/yaz-ztest
- break
- fi
- fi
-done
-IFS=$oIFS
-
-if test -z "$F"; then
- echo "yaz-ztest not found"
- exit 0
-fi
-
-rm -f ztest.pid
-rm -f ${TEST}_ztest.log
-$F -l ${TEST}_ztest.log -p ztest.pid -D tcp:localhost:9999
-sleep 1
-if test ! -f ztest.pid; then
- echo "yaz-ztest could not be started"
- exit 0
-fi
-
-E=0
-if test -x ../src/pazpar2; then
- if ../src/pazpar2 -V |grep icu:enabled >/dev/null; then
- ${srcdir}/run_pazpar2.sh $TEST
- E=$?
- fi
-fi
-
-kill `cat ztest.pid`
-rm ztest.pid
-exit $E
+exec ${srcdir}/run_pazpar2.sh --ztest --icu $TEST
# Local Variables:
# mode:shell-script
#!/bin/sh
-#
TEST=`basename $0 .sh`
# srcdir might be set by make
srcdir=${srcdir:-"."}
-if test -x ../src/pazpar2; then
- if ../src/pazpar2 -V |grep icu:enabled >/dev/null; then
- exec ${srcdir}/run_pazpar2.sh $TEST
- fi
-fi
+exec ${srcdir}/run_pazpar2.sh --icu $TEST
# Local Variables:
# mode:shell-script